com.buschmais.jqassistant.plugin.maven3.api.model

## Interface MavenActivationOSDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, MavenDescriptor

      @Label(value="ActivationOS")
      public interface MavenActivationOSDescriptor
      extends MavenDescriptor

  Descriptor for an activator which will detect an operating system's attributes in order to activate its profile.
  Author:
    ronald.kunzmann@buschmais.com
  See Also:
    `ActivationOS`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArch()` Get the architecture of the OS to be used to activate a profile.
    `String` | `getFamily()` Get the general family of the OS to be used to activate a profile (e.g.
    `String` | `getName()` Get the name of the OS to be used to activate a profile.
    `String` | `getVersion()` Get the version of the OS to be used to activate a profile.
    `void` | `setArch(String arch)` Set the architecture of the OS to be used to activate a profile.
    `void` | `setFamily(String family)` Set the general family of the OS to be used to activate a profile (e.g.
    `void` | `setName(String name)` Set the name of the OS to be used to activate a profile.
    `void` | `setVersion(String version)` Set the version of the OS to be used to activate a profile.

- - ### Method Detail

    - #### getArch

          @Property(value="arch")
          String getArch()

      Get the architecture of the OS to be used to activate a profile.
      Returns:
        String

    - #### setArch

          void setArch(String arch)

      Set the architecture of the OS to be used to activate a profile.
      Parameters:
        `arch` -

    - #### getFamily

          @Property(value="family")
          String getFamily()

      Get the general family of the OS to be used to activate a profile (e.g. 'windows').
      Returns:
        String

    - #### setFamily

          void setFamily(String family)

      Set the general family of the OS to be used to activate a profile (e.g. 'windows').
      Parameters:
        `family` -

    - #### getName

          @Property(value="name")
          String getName()

      Get the name of the OS to be used to activate a profile.
      Returns:
        String

    - #### setName

          void setName(String name)

      Set the name of the OS to be used to activate a profile.
      Parameters:
        `name` -

    - #### getVersion

          @Property(value="version")
          String getVersion()

      Get the version of the OS to be used to activate a profile.
      Returns:
        String

    - #### setVersion

          void setVersion(String version)

      Set the version of the OS to be used to activate a profile.
      Parameters:
        `version` -

Copyright © 2015 buschmais GbR. All rights reserved.